---
features:
  top:
  - name: "Block merges unless external status checks pass"
    available_in: [gold]
    documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/status_checks.html#block-merges-of-merge-requests-unless-all-status-checks-have-passed'
    image_url: '/images/15_8/manage-block-external-status-checks.png'
    reporter: stkerr
    stage: software_supply_chain_security
    categories:
    - 'Compliance Management'
    issue_url: 'https://gitlab.com/groups/gitlab-org/-/epics/8516'
    description: |
      You can now configure projects to block merge request merges unless all external status checks pass. This allows you to confidently
      rely on external systems as part of your GitLab workflows and ensure that all required steps are completed before the code is merged.

      When configured, users can only merge merge requests if external status checks pass and the green checkmark is displayed on the merge request. If an
      external status check is pending or failed, merging the merge request is blocked.

      This feature is available to self-managed users, but is not enabled by default. You can enable this feature in Gitlab 15.5 and later with the `only_allow_merge_if_all_status_checks_passed` [feature flag](https://docs.gitlab.com/ee/administration/feature_flags.html#how-to-enable-and-disable-features-behind-flags). This feature is now enabled by default in GitLab 15.8 for SaaS users and will be enabled by default in GitLab 15.9 for self-managed users. 
